
.btn {
    color: $white;
    border: none;
    outline: none;
    cursor: pointer;
    font-weight: 500;
    border-radius: 37px;
    font-size: size-rel(18px);
    line-height: size-rel(36px);
    padding: size-rel(9px) size-rel(40px);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-block;
    vertical-align: middle;
    background: $green;

    svg {
        fill: $white;
    }

    &:hover {
        color: $white;
        text-decoration: none;
        background: $green-dark;

        svg {
            fill: $white;
        }

    }

    &:active {
        background: $green;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    @include media-breakpoint-up(lg) {
        font-size: size-rel(20px);
        padding: size-rel(12px) size-rel(40px);
    }

    @include media-breakpoint-up(xl) {
        font-size: size-rel(28px);
        padding: size-rel(19px) size-rel(54px);
    }
}

.btn-sm {
    font-size: size-rel(12px);
    line-height: size-rel(16px);
    padding: size-rel(5px) size-rel(15px);
}

.btn-link {
    margin: 0;
    padding: 0;
    color: $black;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-block;
    background: transparent;
    text-decoration: underline;

    &:hover {
        color: $black;
        text-decoration: none;
    }
}

.btn-icon {
    margin: 0;
    cursor: pointer;
    background: transparent;
    padding: size-rel(5px) size-rel(16px);
    border: none;
    outline: none;
    font-size: 0;
    line-height: 0;
    fill: $secondary;

    i {
        display: inline-block;
        height: size-rel(20px);
        transform: rotate(90deg);
    }
}
